## org.eclipse.datatools.modelbase.dbdefinition
Class ParentUpdateDRIRuleType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.dbdefinition.ParentUpdateDRIRuleType

    public final class ParentUpdateDRIRuleType

extends AbstractEnumerator

A representation of the literals of the enumeration 'Parent Update DRI Rule Type', and utility methods for working with them.

See Also:
  `DatabaseDefinitionPackage.getParentUpdateDRIRuleType()`

Field Summary
`static int` `CASCADE` The 'CASCADE' literal value.
`static ParentUpdateDRIRuleType` `CASCADE_LITERAL` The 'CASCADE' literal object.
`static int` `NO_ACTION` The 'NO ACTION' literal value.
`static ParentUpdateDRIRuleType` `NO_ACTION_LITERAL` The 'NO ACTION' literal object.
`static int` `RESTRICT` The 'RESTRICT' literal value.
`static ParentUpdateDRIRuleType` `RESTRICT_LITERAL` The 'RESTRICT' literal object.
`static int` `SET_DEFAULT` The 'SET DEFAULT' literal value.
`static ParentUpdateDRIRuleType` `SET_DEFAULT_LITERAL` The 'SET DEFAULT' literal object.
`static int` `SET_NULL` The 'SET NULL' literal value.
`static ParentUpdateDRIRuleType` `SET_NULL_LITERAL` The 'SET NULL' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Parent Update DRI Rule Type' enumerators.

Method Summary
`static ParentUpdateDRIRuleType` `get(int value)` Returns the 'Parent Update DRI Rule Type' literal with the specified integer value.
`static ParentUpdateDRIRuleType` `get(java.lang.String literal)` Returns the 'Parent Update DRI Rule Type' literal with the specified literal value.
`static ParentUpdateDRIRuleType` `getByName(java.lang.String name)` Returns the 'Parent Update DRI Rule Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_ACTION

    public static final int NO_ACTION

  The 'NO ACTION' literal value.

  See Also:
    `NO_ACTION_LITERAL`, Constant Field Values

### RESTRICT

    public static final int RESTRICT

  The 'RESTRICT' literal value.

  See Also:
    `RESTRICT_LITERAL`, Constant Field Values

### CASCADE

    public static final int CASCADE

  The 'CASCADE' literal value.

  See Also:
    `CASCADE_LITERAL`, Constant Field Values

### SET_NULL

    public static final int SET_NULL

  The 'SET NULL' literal value.

  See Also:
    `SET_NULL_LITERAL`, Constant Field Values

### SET_DEFAULT

    public static final int SET_DEFAULT

  The 'SET DEFAULT' literal value.

  See Also:
    `SET_DEFAULT_LITERAL`, Constant Field Values

### NO_ACTION_LITERAL

    public static final ParentUpdateDRIRuleType NO_ACTION_LITERAL

  The 'NO ACTION' literal object.

  If the meaning of 'NO ACTION' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NO_ACTION`

### RESTRICT_LITERAL

    public static final ParentUpdateDRIRuleType RESTRICT_LITERAL

  The 'RESTRICT' literal object.

  If the meaning of 'RESTRICT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RESTRICT`

### CASCADE_LITERAL

    public static final ParentUpdateDRIRuleType CASCADE_LITERAL

  The 'CASCADE' literal object.

  If the meaning of 'CASCADE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CASCADE`

### SET_NULL_LITERAL

    public static final ParentUpdateDRIRuleType SET_NULL_LITERAL

  The 'SET NULL' literal object.

  If the meaning of 'SET NULL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SET_NULL`

### SET_DEFAULT_LITERAL

    public static final ParentUpdateDRIRuleType SET_DEFAULT_LITERAL

  The 'SET DEFAULT' literal object.

  If the meaning of 'SET DEFAULT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SET_DEFAULT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Parent Update DRI Rule Type' enumerators.

Method Detail

### get

    public static ParentUpdateDRIRuleType get(java.lang.String literal)

  Returns the 'Parent Update DRI Rule Type' literal with the specified literal value.

### getByName

    public static ParentUpdateDRIRuleType getByName(java.lang.String name)

  Returns the 'Parent Update DRI Rule Type' literal with the specified name.

### get

    public static ParentUpdateDRIRuleType get(int value)

  Returns the 'Parent Update DRI Rule Type' literal with the specified integer value.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.